<?php

namespace KupShop\DeliveryPriceListBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 *
 * @ORM\Table(name="delivery_pricelists_prices")
 */
class Price
{
    /**
     * @ORM\Id
     *
     * @ORM\Column(type="integer")
     *
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="PriceList", inversedBy="prices")
     *
     * @ORM\JoinColumn(name="id_pricelist", referencedColumnName="id")
     */
    private $priceList;

    /**
     * @ORM\ManyToOne(targetEntity="WeightGroup", inversedBy="weightGroups")
     *
     * @ORM\JoinColumn(name="id_weightgroup")
     */
    private $weightGroup;

    /**
     * @ORM\ManyToOne(targetEntity="Region", inversedBy="regions")
     *
     * @ORM\JoinColumn(name="id_region", referencedColumnName="id")
     */
    private $region;

    /**
     * @ORM\Column(type="decimal", precision=15, scale=4, nullable=true)
     */
    private $price;

    /**
     * Get id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set priceList.
     *
     * @return Price
     */
    public function setPriceList($priceList)
    {
        $this->priceList = $priceList;

        return $this;
    }

    /**
     * Get priceList.
     *
     * @return int
     */
    public function getPriceList()
    {
        return $this->priceList;
    }

    /**
     * Set weightGroup.
     *
     * @return Price
     */
    public function setWeightGroup($weightGroup)
    {
        $this->weightGroup = $weightGroup;

        return $this;
    }

    /**
     * Get weightGroup.
     *
     * @return int
     */
    public function getWeightGroup()
    {
        return $this->weightGroup;
    }

    /**
     * Set region.
     *
     * @return Price
     */
    public function setRegion($region)
    {
        $this->region = $region;

        return $this;
    }

    /**
     * Get region.
     *
     * @return int
     */
    public function getRegion()
    {
        return $this->region;
    }

    /**
     * Set price.
     *
     * @return Price
     */
    public function setPrice($price)
    {
        $this->price = $price;

        return $this;
    }

    /**
     * Get price.
     *
     * @return string
     */
    public function getPrice()
    {
        return $this->price;
    }
}
